Subject: bug#9244: 24.0.50; Server put offline without any prompt

From: Stefan Monnier <[email-masked]>
Date: Fri, 06 Jan 2012 19:31:34 -0500

>> However, if you have a Gnus with ten different sources, some of them
>> will fail, and being prompted here is just annoying.  Gnus will list
>> failed groups specially in the group buffer, and you can `M-g' them to
>> force a reconnect.  I think that model makes more sense, overall.
> So I don't think this is a bug, and I'm closing this report.

No, I don't think you realize the extent of the problem.
Failed groups do not show up specially in my experience (maybe they do
on the first connection, but for long-lived Gnus sessions this is
irrelevant).

Here's another take on the problem:
Start "emacs -f gnus" with a setup that uses IMAP.
Then when prompted for your IMAP password, type in a wrong password.
Result: Gnus just keeps on going, treating the server as "offline".

        Stefan